Subject: settelment
From: HAICHUNTRADE <[email-masked]>
To: info-china <[email-masked]>, info <[email-masked]>
Date: Sun, 4 Feb 2024 17:25:48 +0800 (GMT+08:00)

Hello, we already paid amount of Phonix" MALAYSIA HEAVY CRUDE OIL
was $138,600,000.00, and the actual amount need to be paid is USD is
$127,344,160.08, Please refund the balance amount to us($11,255,839.93)
we will start Chinese new year holiday soon,thanks for your corporation
Regards，